ConditionalExpressionTree (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.scripting.nashorn, package: jdk.nashorn.api.tree, interface: ConditionalExpressionTree
Keywords: jdk.nashorn.api.tree.ConditionalExpressionTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface ConditionalExpressionTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface ConditionalExpressionTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for the conditional operator ? :. For example:

       condition ? trueExpression : falseExpression

Since:
  9

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ExpressionTree` | `getCondition()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the condition expression of this ternary expression.
  `ExpressionTree` | `getFalseExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the false part of this ternary expression.
  `ExpressionTree` | `getTrueExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the true part of this ternary expression.

  ### Methods declared in interface jdk.nashorn.api.tree.Tree

  `accept, getEndPosition, getKind, getStartPosition`

- ## Method Details

  - ### getCondition

    ExpressionTree getCondition()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the condition expression of this ternary expression.
    Returns:
      the condition expression

  - ### getTrueExpression

    ExpressionTree getTrueExpression()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the true part of this ternary expression.
    Returns:
      the 'true' part expression

  - ### getFalseExpression

    ExpressionTree getFalseExpression()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the false part of this ternary expression.
    Returns:
      the 'false' part expression